#include <bits/stdc++.h>


using namespace std;

int main()
{
    string s;
    getline(cin, s);

    int a1, a2;
    cin >> a1 >> a2;
    int x = a1 + a2;

    if(abs(a1 - a2) > 1)
        cout << "nemoguce";

    else{
        if(a1 >= a2)
      for(int i = 0;i < x;i++){
        if(i % 2 == 0)
        cout <<s[0];
      else cout<<s[1];}

        if(a1 < a2)
       for(int i = 0;i < x;i++){
        if(i % 2 == 0)
        cout << s[1];
       else cout << s[0]; }


    }
    return 0;
}